# (c) cavaliba.conf


# hook.py


HOOKS = {
    "sirene_template": {
        "detail": [
            { "add_action": {"label": "Notify", "action": "test"} },
        ],
    },
}


def get_hook(classname=None, view=None):

    if not classname: 
        return []
    
    if not view:
        return []
    
    try:
        return HOOKS[classname][view]
    except:
        pass

    return []